<template>
  <div class="home">
    <!-- HOME COMPONENT LOADING MONSTERS LIST COMPONENT -->
      <i class="fas fa-sort" title="sort by" @click="orderListBy()"></i>
      <div class="home-title">MONSTERS LIST</div>
      <MonstersList />
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import EventBus from '../EventBus'

import MonstersList from './MonsterList.vue'

export default Vue.extend({
  name: 'Home',
  components: {
    MonstersList
  },
  data() {
    return {
      setOrder: false
    }
  },

  methods: {
    // ON CLICK SETS SORT ACTION ASC/DESC
    orderListBy() { 
      EventBus.$emit('sortMonstersList', this.setOrder = !this.setOrder)
    }
  }

})
</script>

<style scoped>

.home {
  position: relative;
  margin-left: 0.75em;
  margin-right: 0.75em;
}

.home-title {
  position: relative;
  padding: 0.5em;
  margin: 0.5em;
  margin-top: 1em;
  margin-bottom: 0.5em;
  height: 2em;
  border-radius: 0.5em;
  font-size: 2.5em;
  font-weight: bold;
  letter-spacing: 0.75em;
  user-select: none;
  text-transform: uppercase;  
}

.fa-sort {
  position: absolute;
  padding: 0.25em;
  left: 2.5em;
  top: 2em;
  font-size: 2.5em;
  color: #7a0000;
  cursor: pointer;
  z-index: 1;
}

.fa-sort:active {
  color: #000000;
}

/* DYNAMIC STYLE AREA */

@media only screen and (max-width: 1024px) {
  .fa-sort {
    left: 0.75em;
    top: 3em;
    font-size: 2em;
  }
}

</style>
